<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org"
                  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
                  layout:decorator="layouts/default_layout">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.3.1/semantic.min.css">

    <style>

        h1.title{
            color:blue;
            margin-top: 10px;
            margin-bottom: 80px;
        }
        div.ui.buttons{
            margin-bottom: 10px;
        }

        .th_id{
            width: 10px;
        }
        .th_category{
            width: 100px;
        }
        .th_action{
            width: 70px;
        }
    </style>

</head>
<body>
<div class="ui container" layout:fragment="content">
    <h1 align="center" th:text="#{category.page.header.title}" style="margin: 70px 0px 80px 0px; color:blue; font-size:50px;"></h1>

    <div class="ui buttons">
        <a th:href="@{/article}">
            <button class="ui labeled green icon button">
            <i class="left chevron icon"></i>
            <span th:text="#{button.back}"></span>
            </button>
        </a>
    </div>
    <form class="ui form" method="post"  th:action="${isAdd}? '/category/add' : '/category/update'">

        <div class="two fields">
            <div class="field">
                <label th:text="#{table.header.id}"></label>
                <input th:field="${category.id}" class="field disabled" placeholder="Auto Number" type="text">
            </div>
            <br/>
        </div>
        <div class="two fields">
            <div class="field" >
                <label th:text="#{table.header.category}"></label>
                <input th:field="${category.categoryName}" placeholder="Category" type="text" >
            </div>
        </div>

        <button class="ui button" type="submit" >Save</button>
    </form>

    <table class="ui inverted blue table">
        <thead>
        <tr>
            <th th:text="#{table.header.id}" class="th_id">ID</th>
            <th class="th_category">Category Name</th>
            <th class="th_action">Action</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="category: ${categories}" th:object="${category}">
            <td th:text="*{id}"></td>
            <td th:text="*{categoryName}"></td>
            <td>
                <a th:href="@{/category/update/{id}(id=*{id})}"><button class="ui small teal button" th:text="#{button.update}">Update</button></a>
                <a th:href="@{/category/delete/{id}(id=*{id})}"><button class="ui small red button" th:text="#{button.delete}">Delete</button></a>
            </td>
        </tr>
        </tbody>
    </table>

</div>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.3.1/semantic.min.js"></script>

</body>
</html>